This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

Author nadeem.vawda
Recipients alexis, benjamin.peterson, eric.araujo, georg.brandl, higery, jkloth, nadeem.vawda, paul.moore, python-dev, rpetrov
Date 2011-08-23.21:20:25
SpamBayes Score 2.08555e-05
Marked as misclassified No
Message-id <1314134426.58.0.0580435787812.issue12678@psf.upfronthosting.co.za>
In-reply-to
Content
Testing on 3.2, the latest patch doesn't fix the test_record_extensions failure :/

It does change the traceback for the exception, though.

Before:

    ======================================================================
    ERROR: test_record_extensions (distutils.tests.test_install.InstallTestCase)
    ----------------------------------------------------------------------
    Traceback (most recent call last):
      File "C:\Code\cpython\python-3.2\lib\distutils\msvc9compiler.py", line 647, in link
        self.spawn([self.linker] + ld_args)
      File "C:\Code\cpython\python-3.2\lib\distutils\ccompiler.py", line 909, in spawn
        spawn(cmd, dry_run=self.dry_run)
      File "C:\Code\cpython\python-3.2\lib\distutils\spawn.py", line 34, in spawn
        _spawn_nt(cmd, search_path, dry_run=dry_run)
      File "C:\Code\cpython\python-3.2\lib\distutils\spawn.py", line 75, in _spawn_nt
        "command '%s' failed with exit status %d" % (cmd[0], rc))
    distutils.errors.DistutilsExecError: command '"C:\Program Files\Microsoft Visual Studio 9.0\VC\BIN\link.exe"' failed with exit status 1104

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "C:\Code\cpython\python-3.2\lib\distutils\tests\test_install.py", line 207, in test_record_extensions
        buildcmd.run()
      File "C:\Code\cpython\python-3.2\lib\distutils\command\build_ext.py", line 345, in run
        self.build_extensions()
      File "C:\Code\cpython\python-3.2\lib\distutils\command\build_ext.py", line 454, in build_extensions
        self.build_extension(ext)
      File "C:\Code\cpython\python-3.2\lib\distutils\command\build_ext.py", line 541, in build_extension
        target_lang=language)
      File "C:\Code\cpython\python-3.2\lib\distutils\ccompiler.py", line 717, in link_shared_object
        extra_preargs, extra_postargs, build_temp, target_lang)
      File "C:\Code\cpython\python-3.2\lib\distutils\msvc9compiler.py", line 649, in link
        raise LinkError(msg)
    distutils.errors.LinkError: command '"C:\Program Files\Microsoft Visual Studio 9.0\VC\BIN\link.exe"' failed with exit status 1104


After:

    ======================================================================
    ERROR: test_record_extensions (distutils.tests.test_install.InstallTestCase)
    ----------------------------------------------------------------------
    Traceback (most recent call last):
      File "C:\Code\cpython\python-3.2\lib\distutils\msvc9compiler.py", line 647, in link
        self.spawn([self.linker] + ld_args)
      File "C:\Code\cpython\python-3.2\lib\distutils\ccompiler.py", line 909, in spawn
        spawn(cmd, dry_run=self.dry_run)
      File "C:\Code\cpython\python-3.2\lib\distutils\spawn.py", line 34, in spawn
        _spawn_nt(cmd, search_path, dry_run=dry_run)
      File "C:\Code\cpython\python-3.2\lib\distutils\spawn.py", line 75, in _spawn_nt
        "command '%s' failed with exit status %d" % (cmd[0], rc))
    distutils.errors.DistutilsExecError: command '"C:\Program Files\Microsoft Visual Studio 9.0\VC\BIN\link.exe"' failed with exit status 1104

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "C:\Code\cpython\python-3.2\lib\distutils\tests\test_install.py", line 221, in test_record_extensions
        cmd.run()
      File "C:\Code\cpython\python-3.2\lib\distutils\command\install.py", line 569, in run
        self.run_command('build')
      File "C:\Code\cpython\python-3.2\lib\distutils\cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "C:\Code\cpython\python-3.2\lib\distutils\dist.py", line 936, in run_command
        cmd_obj.run()
      File "C:\Code\cpython\python-3.2\lib\distutils\command\build.py", line 126, in run
        self.run_command(cmd_name)
      File "C:\Code\cpython\python-3.2\lib\distutils\cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "C:\Code\cpython\python-3.2\lib\distutils\dist.py", line 936, in run_command
        cmd_obj.run()
      File "C:\Code\cpython\python-3.2\lib\distutils\command\build_ext.py", line 345, in run
        self.build_extensions()
      File "C:\Code\cpython\python-3.2\lib\distutils\command\build_ext.py", line 454, in build_extensions
        self.build_extension(ext)
      File "C:\Code\cpython\python-3.2\lib\distutils\command\build_ext.py", line 541, in build_extension
        target_lang=language)
      File "C:\Code\cpython\python-3.2\lib\distutils\ccompiler.py", line 717, in link_shared_object
        extra_preargs, extra_postargs, build_temp, target_lang)
      File "C:\Code\cpython\python-3.2\lib\distutils\msvc9compiler.py", line 649, in link
        raise LinkError(msg)
    distutils.errors.LinkError: command '"C:\Program Files\Microsoft Visual Studio 9.0\VC\BIN\link.exe"' failed with exit status 1104
History
Date User Action Args
2011-08-23 21:20:26nadeem.vawdasetrecipients: + nadeem.vawda, georg.brandl, paul.moore, benjamin.peterson, jkloth, eric.araujo, rpetrov, alexis, python-dev, higery
2011-08-23 21:20:26nadeem.vawdasetmessageid: <1314134426.58.0.0580435787812.issue12678@psf.upfronthosting.co.za>
2011-08-23 21:20:26nadeem.vawdalinkissue12678 messages
2011-08-23 21:20:25nadeem.vawdacreate